Name: vpnc
Version: 0.5.3
Release: alt2

Summary: Client for cisco vpn concentrator
Group: Networking/Remote access
License: GPL

Url: http://www.unix-ag.uni-kl.de/~massar/vpnc/

Source0: %name-%version.tar.gz

Patch0: vpnc-0.4.0-alt-destdir.patch
Patch2:	vpnc-0.5.3-cloexec.patch
Patch3:	vpnc-0.5.1-dpd.patch

Packager: Ilya Mashkin <oddity@altlinux.org>

# Automatically added by buildreq on Thu Mar 15 2007
#BuildRequires: libgcrypt-devel packages-info-i18n-common
BuildRequires: libgcrypt-devel
Requires: iproute2

%add_findreq_skiplist %_sysconfdir/vpnc/vpnc-script

%description
vpnc is supposed to work with:

* Cisco VPN concentrator 3000 Series
* Cisco IOS routers
* Cisco PIX / ASA Zecurity Appliances
* Juniper/Netscreen 

Supported Authentications: Pre-Shared-Key + XAUTH, Pre-Shared-Key
Supported IKE DH-Groups: dh1 dh2 dh5
Supported Hash Algo (IKE/IPSEC): md5 sha1
Supported Encryptions (IKE/IPSEC): (null) (1des) 3des aes128 aes192 aes256
Perfect Forward Secrecy: nopfs dh1 dh2 dh5

%prep
%setup -q
%patch0 -p1
%patch2 -p1 -b .cloexec
%patch3 -p1 -b .dpd

%build
%make_build CFLAGS="%optflags -Wmissing-declarations -Wwrite-strings"

%install
%make_install DESTDIR=%buildroot install

%files
%doc README TODO
%dir %_sysconfdir/vpnc/
%config(noreplace) %_sysconfdir/vpnc/*
%_bindir/*
%_sbindir/*
%_man1dir/*
%_man8dir/*

%changelog
* Thu Mar 05 2009 Mikhail Efremov <sem@altlinux.org> 0.5.3-alt2
- added add_findreq_skiplist vpnc-script
	(to avoid resolvconf require)

* Sun Dec 28 2008 Ilya Mashkin <oddity@altlinux.org> 0.5.3-alt1
- 0.5.3

* Thu Mar 15 2007 Igor Zubkov <icesik@altlinux.org> 0.4.0-alt1
- build for Sisyphus

